#
# spec file for package gphoto (Version 2.1.4head)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cdk cdk-devel libexif libgphoto2 libjpeg libusb pkgconfig popt popt-devel readline readline-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cdk cdk-devel gcc gdbm gettext libexif libgphoto2 libjpeg libjpeg-devel libtool libusb perl pkgconfig popt-devel readline-devel rpm

Name:         gphoto
URL:          http://gphoto.sourceforge.net
%define prefix /usr
License:      GPL
Group:        Hardware/Other
Summary:      A digital camera utility
Version:      2.1.5
Release:      1
Source0:      gphoto2-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
gPhoto (GNU Photo) is a commandline tool for previewing, retrieving,
and capturing images from a range of supported digital cameras to your
local harddrive.

(It does not support digital cameras based on the USB storage protocol,
those can be mounted by Linux directly.)

The list of supported cameras can be found under this URL:

http://gphoto.sourceforge.net/proj/libgphoto2/support.php

or by running

gphoto2 --list-cameras



Authors:
--------
    Scott Fritzinger <scottf@scs.unr.edu>
    Lutz Mller <lutz@users.sourceforge.net>
    
    Eugene Crosser <crosser@average.org>
    Matt Martin <matt.martin@ieee.org>
    Gary Ross <gdr@hooked.net>
    M. Adam Kendall <joker@penguinpub.com>
    Del Simmons <del@gphoto.org>
    Bob Paauwe <bpaauwe@bobsplace.com>
    Cliff Wright <cliff@snipe444.org>
    Phill Hugo <phill@gphoto.org>
    Beat Christen <spiff@longstreet.ch>
    Warren Baird <wjbaird@bigfoot.com>
    Brent D. Metz <bmetz@vt.edu>
    Brian Hirt <bhirt@loopy.berkhirt.com>
    Mandrake <mandrake@lobotomy.com>
    Randy D. Scott <scottr@wwa.com>
    Paul S. Jenner <psj@mustec.eu.org>
    Tuomas Kuosmanen <tigert@gimp.org>
    Ole Aamot <oleaa@ifi.uio.no>
    Mariusz Zynel <mariusz@mizar.org>
    Johannes Erdfelt <johannes@erdfelt.com>
    Werner Almesberger <almesber@lrc.di.epfl.ch>
    Ole W. Saastad <o.w.saastad@kjemi.uio.no>
    Veros Kaplan <xkaplan@informatics.muni.cz>
    Wolfgang Reissnegger
    Philippe Marzouk <philm@users.sourceforge.net>
    Edouard Lafargue <lafargue@oslo.geco-prakla.slb.com>
    Bart van Leeuwen <bart@netage.nl>
    M. Adam Kendall <joker@penguinpub.com>
    Mark Davies <mdavies@dial.pipex.com>
    Beat Christen <spiff@longstreet.ch>
    Gus Hartmann <hartmann@madison-expat.net>
    Raymond Penners <raymond@dotsphinx.com>
    Marcus Meissner <marcus@jet.franken.de>
    Hans Ulrich Niedermann <hun@users.sourceforge.net>
    Colin Marquardt <cmarqu@users.sourceforge.net>

%prep
%setup -q -n gphoto2-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
PATH="/usr/X11R6/bin:$PATH" CFLAGS="$RPM_OPT_FLAGS" ./configure	\
  --prefix=%{prefix} 			\
  --mandir=%{_mandir} 			\
  --libdir=%{_libdir} 			\
  --with-cdk-prefix=/usr		\
  --with-doc-dir=%{_defaultdocdir}/%{name}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

%files
%defattr(-,root,root)
%{prefix}/bin/gphoto2
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man1/gphoto2.1*

%changelog -n gphoto
* Tue Dec 21 2004 - joe_morris@ntm.org
- updated to 2.1.5
* Fri Jul 30 2004 - meissner@suse.de
- Upgraded to current HEAD branch.
- work with libexif 0.6.10
- more translations.
- timelapsed capture support.
- bugfixes.
* Mon Jan 19 2004 - meissner@suse.de
- Upgraded to 2.1.4 release:
- bugfixes, translations, some small new features.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Sep 15 2003 - meissner@suse.de
- Added hungarian translation from Peter Varkoly.
* Tue Aug 12 2003 - meissner@suse.de
- Upgraded to 2.1.2 release. (Not much changes inside).
* Tue May 13 2003 - meissner@suse.de
- Upgraded to current CVS version.
- Package missing manpage.
* Tue Dec 03 2002 - meissner@suse.de
- Upgraded to final 2.1.1 version.
* Mon Nov 18 2002 - meissner@suse.de
- Upgraded to 2.1.1rc1 release candidate snapshot.
- popt option handling.
- Lots of bugfixes.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jul 29 2002 - meissner@suse.de
- splitted away libgphoto2, updated to latest upstream.
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Tue Jul 02 2002 - meissner@suse.de
- Upgraded to 2.1.0 release, removed fPIC hack.
* Tue Jun 25 2002 - uli@suse.de
- build libgphoto2_port.a with -fPIC
* Wed Jun 19 2002 - meissner@suse.de
- Upgraded to upstream 2.1.0rc2 (translation changes only)
- Do not link against libreadline in the camera libraries.
* Tue Jun 18 2002 - meissner@suse.de
- Upgraded to upstream 2.1.0rc1:
  * support for periodic keep-alive-messages
  * support for Canon EOS D60, Canon PowerShot A40, Canon PowerShot A30,
  Canon PowerShot S200, Canon Digital IXUS 330,
  Canon PowerShot S10 (fixed it)
  * Added SiPix Web2 support.
* Wed Apr 03 2002 - meissner@suse.de
- Upgraded to current development snapshot.
- PTP camera support enhanced, bugfixes and enhancements in others.
- Fixed automake/autoconf problems.
- Started to enable documentation building.
* Mon Feb 25 2002 - meissner@suse.de
- Upgraded to 2.0 final, contains:
- Svensk translation
- Several fixes for bugs found during release candidate testing
- Documentation updates.
- Some fixes in the build / Makefile structure.
* Thu Feb 14 2002 - meissner@suse.de
- do not call gphoto in %%post, use a static list for now.
- compile without static libraries, we do not use them anyway.
* Wed Feb 13 2002 - meissner@suse.de
- Usb agent added that chowns the device to the logged in user,
  so users can use USB Digital Cameras without any need for setuid
  wrappers. (Modified usb.usermap in post/postun of package)
- added a patch to make digikam compile with the headers
* Mon Feb 11 2002 - meissner@suse.de
- Upgraded to beta5, lib64 patch is now included already in upstream source.
* Fri Jan 25 2002 - meissner@suse.de
- lib64 patches to fix s390x build
* Tue Jan 22 2002 - ro@suse.de
- help libtool with RPM_BUILD_ROOT by exporting LIBRARY_PATH
* Mon Jan 21 2002 - meissner@suse.de
- update -> 2.0beta4dev9 (needs newer libusb)
- moved from /opt/gnome back to /usr since gphoto2 is just a library,
  without GUI components.
- removed bugbuddy requirement, this was a gphoto 0.4.3ism.
* Fri Dec 07 2001 - uli@suse.de
- update -> 2.0beta3
* Mon Nov 19 2001 - uli@suse.de
- moved to /opt/gnome, added req. on bug-buddy (bug #11523)
- bzipped tarball
* Mon Jul 02 2001 - uli@suse.de
- disabled RT scheduling (may hang machine)
* Wed Jun 27 2001 - schwab@suse.de
- Fix strcat calls.
* Tue Apr 17 2001 - uli@suse.de
- 64 bit fixes for some backends
* Thu Mar 01 2001 - egger@suse.de
- Major overhaul. Use BuildRooting, RPM_OPT_FLAGS and
  cleaned up specfile a lot.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Sat Jan 27 2001 - violiet@suse.de
- added gphoto call gtk_set_locale() _BEFORE_ gtk_init().
* Thu Nov 30 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Jun 06 2000 - uli@suse.de
- update -> 0.4.3
- moved docs to %%{_docdir}
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Wed Mar 01 2000 - uli@suse.de
- moved man page to /usr/share
* Fri Jan 14 2000 - uli@suse.de
- New version 0.4.2
* Thu Oct 07 1999 - uli@suse.de
- New version 0.4.0
* Tue Sep 28 1999 - uli@suse.de
- New version 0.3.9
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 08 1999 - uli@suse.de
- New version 0.3.4
* Wed Jun 23 1999 - uli@suse.de
- Spec file created from gphoto-0.3.2.tar.gz by autospec
